### Method

# Adw PreferencesGroup bind_model

since: 1.8

#### Declaration [src]

    void
    adw_preferences_group_bind_model (
      AdwPreferencesGroup* self,
      GListModel* model,
      GtkListBoxCreateWidgetFunc create_row_func,
      gpointer user_data,
      GDestroyNotify user_data_free_func
    )

#### Description [src]

Binds `model` to `self`.

See `gtk_list_box_bind_model()`.

Available since: 1.8

#### Parameters

`model`

  Type: `GObject`

  A list model to bind.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`create_row_func`

  Type: `GtkListBoxCreateWidgetFunc`

  a function creating a row for each item, or `NULL` in case `model` is `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `create_row_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_data_free_func`

  Type: `GDestroyNotify`

  Function for freeing `user_data`.